## golang-github-c-bata-go-prompt 0.2.3+git20181109.b6d2b43

=== Makefile ===
.DEFAULT_GOAL := help

.PHONY: setup
setup:  ## Setup for required tools.
	go get -u golang.org/x/lint/golint
	go get -u golang.org/x/tools/cmd/goimports
	go get -u golang.org/x/tools/cmd/stringer
	go get -u github.com/golang/dep/cmd/dep
	dep ensure

.PHONY: fmt
fmt: ## Formatting source codes.
	@goimports -w $(find . -type f -name '*.go' -not -path "./vendor/*")

.PHONY: lint
lint: ## Run golint and go vet.
	@golint .
	@golint -set_exit_status=1
	@go vet .

.PHONY: test
test:  ## Run the tests with race condition checking.
	@go test -race .

.PHONY: coverage
cover:  ## Run the tests.
	@go test -coverprofile=coverage.o
	@go tool cover -func=coverage.o

.PHONY: build
build: ## Build example command lines.
	go build -o bin/exec-command ./_example/exec-command/main.go
	go build -o bin/http-prompt ./_example/http-prompt/main.go
	go build -o bin/live-prefix ./_example/live-prefix/main.go
	go build -o bin/simple-echo ./_example/simple-echo/main.go
	go build -o bin/simple-echo-cjk-cyrillic ./_example/simple-echo/cjk-cyrillic/main.go

.PHONY: help
help: ## Show help text
	@echo "Commands:"
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "  \033[36m%-10s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
golang-github-c-bata-go-prompt (0.2.3+git20181109.b6d2b43-1) unstable; urgency=medium

  * Initial release (Closes: #914207)

 -- Alexandre Viau <aviau@debian.org>  Tue, 20 Nov 2018 11:54:45 -0500

=== debian/control ===
Source: golang-github-c-bata-go-prompt
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-mattn-go-runewidth-dev,
               golang-github-pkg-term-dev
Standards-Version: 4.2.1
Homepage: https://github.com/c-bata/go-prompt
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-c-bata-go-prompt
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-c-bata-go-prompt.git
XS-Go-Import-Path: github.com/c-bata/go-prompt
Testsuite: autopkgtest-pkg-go

Package: golang-github-c-bata-go-prompt-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-mattn-go-runewidth-dev,
         golang-github-pkg-term-dev
Description: building powerful interactive prompts in Go
 Library for building powerful interactive prompts inspired by
 python-prompt-toolkit.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-c-bata-go-prompt-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/c-bata/go-prompt/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-c-bata-go-prompt 0.2.5

=== debian/changelog ===
golang-github-c-bata-go-prompt (0.2.5-1) unstable; urgency=medium

  * New upstream version 0.2.5
  * debian/control: Reorder fields using "cme fix dpkg"
  * Bump dependency on golang-github-pkg-term-dev to (>= 1.1.0)
    as per go.mod  (See #974096)
  * Remove debian/patches/01-fix-package-build.patch
    as https://github.com/c-bata/go-prompt/issues/190
    has been fixed upstream in https://github.com/c-bata/go-prompt/pull/191
    "Update pkg/term module to latest and use unix.Termios"
  * Add myself to the list of Uploaders, and, together with Aloïs Micard,
    adopt the package from Alexandre Viau (Closes: #940345)
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance

 -- Anthony Fok <foka@debian.org>  Fri, 13 Nov 2020 13:51:06 -0700

golang-github-c-bata-go-prompt (0.2.3+git20181109.b6d2b43-2) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Aloïs Micard ]
  * d/patches: fix package with latest golang-github-pkg-term-dev version.
  * d/control:
    - Bump Standards-Version.
    - Bump debhelper-compat.
    - Add Rules-Requires-Root no.
    - Mark myself as uploader.

 -- Aloïs Micard <alois@micard.lu>  Sun, 01 Nov 2020 19:53:43 +0100

=== debian/control ===
Source: golang-github-c-bata-go-prompt
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Aloïs Micard <alois@micard.lu>,
           Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-mattn-go-runewidth-dev,
               golang-github-pkg-term-dev (>= 1.1.0),
               golang-golang-x-sys-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-c-bata-go-prompt
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-c-bata-go-prompt.git
Homepage: https://github.com/c-bata/go-prompt
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/c-bata/go-prompt

Package: golang-github-c-bata-go-prompt-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-mattn-go-runewidth-dev,
         golang-github-pkg-term-dev (>= 1.1.0),
         golang-golang-x-sys-dev
Description: building powerful interactive prompts in Go
 Library for building powerful interactive prompts inspired by
 python-prompt-toolkit.
